<?php

declare(strict_types=1);

namespace Dedi\SyliusSettingsPlugin;

use Dedi\SyliusSettingsPlugin\DependencyInjection\Compiler\AuthorizationCheckerPass;
use Dedi\SyliusSettingsPlugin\DependencyInjection\Compiler\CanConfigurePluginsVoterPass;
use Dedi\SyliusSettingsPlugin\DependencyInjection\Compiler\SettingsProviderPass;
use Sylius\Bundle\CoreBundle\Application\SyliusPluginTrait;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\Bundle\Bundle;

final class DediSyliusSettingsPlugin extends Bundle
{
    use SyliusPluginTrait;

    public function build(ContainerBuilder $container): void
    {
        parent::build($container);

        $container->addCompilerPass(new SettingsProviderPass());
        $container->addCompilerPass(new AuthorizationCheckerPass());
        $container->addCompilerPass(new CanConfigurePluginsVoterPass());
    }

    public function getPath(): string
    {
        return \dirname(__DIR__);
    }
}
